%{!?perl_version: %define perl_version %(eval "`%{__perl} -V:version`"; echo $version)}
%{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}

%define modn   Tk-StyledButton
%define modv   0.10


Summary:       A stylized Button widget for Perl/Tk
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/D/DA/DARNOLD/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Dean Arnold <darnold@presicient.com>
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Tk) >= 804.027
BuildArch:     noarch


%description
Tk::StyledButton provides a shaped button with stylized shading, using a
Tk::Canvas object to implement the button rendering.


%prep
%setup -q -n %{modn}-%{modv}

# Fix permissions
%{__chmod} -x *.txt

# Filter requires
%{__cat} << \_EOF_ >%{name}-req
#!/bin/sh
%{__perl_requires} $* | \
	%{__sed} -e '/perl(Win32::Font::NameToFile)/d'
_EOF_

%define __perl_requires %{_builddir}/%{modn}-%{modv}/%{name}-req
%{__chmod} +x %{name}-req


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
[ -n "${DISPLAY}" ] && %{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes.txt TODO.txt
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Sun May 25 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.10-1
- Initial build
